archiva-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Olivier Lamy <ol...@apache.org>
Subject Re: new user question
Date Wed, 28 Nov 2012 23:24:05 GMT
2012/11/28 Leitch, Oblio <Oblio.Leitch@state.vt.us>:
> I'm trying to get Archiva setup on our dev box.  I've unzipped the files and chmod +x'd
the bin/archiva file.  However, when I run it, I get
> Unable to locate any of the following operational binaries:
>   /var/archiva/apache-archiva-js-1.4-M3/bin/./wrapper-linux-power6(architected),altivecsupported-64
>   /var/archiva/apache-archiva-js-1.4-M3/bin/./wrapper-linux-power6(architected),altivecsupported-32
>   /var/archiva/apache-archiva-js-1.4-M3/bin/./wrapper
>
> Maybe I don't have the right version?
>
> Thanks,
> Oblio

doh it looks we don't support your architecture

$ARCHIVA_HOME directory where archiva is installed/unzipped

Try
$ARCHIVA_HOME/bin/./wrapper-macosx-universal-32
$ARCHIVA_HOME/conf/wrapper.conf wrapper.syslog.ident=archiva
wrapper.pidfile=$ARCHIVA_HOME/logs/archiva.pid

see archiva script
line with # Resolve the architecture
there is a probably something we could add here to save you :-)

--
Olivier Lamy
Talend: http://coders.talend.com
http://twitter.com/olamy | http://linkedin.com/in/olamy

Mime
View raw message